package com.jianshui.web.controller.sandbox;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONCreator;
import com.jianshui.common.core.domain.AjaxResult;
import com.jianshui.common.core.domain.entity.Companyservice;
import com.jianshui.common.utils.encrypt.InvoiceEncryptUtil;
import com.jianshui.system.mapper.CompanyserviceMapper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description
 * @Author 巩权林
 * @Date 2022/9/24 11:08
 **/
@RestController
@RequestMapping("/sandbox")
@Slf4j
public class IndexController {

    @Autowired
    private CompanyserviceMapper companyserviceMapper;

    @PostMapping("/encrypt")
    public AjaxResult encrypt(@RequestBody JSONObject requestBody) {
        String key = requestBody.getString("key");
        String order = requestBody.getString("order");
        // 查询企业信息
        Companyservice companyservice = companyserviceMapper.selectCompanyserviceByIdentity(key);
        try {
            if (companyservice != null){
                String encryptTest = InvoiceEncryptUtil.encrypt(order, companyservice.getSecret());
                return AjaxResult.success("success", encryptTest);
            }else {
                String encryptTest = InvoiceEncryptUtil.encrypt(order, key);
                return AjaxResult.success("success", encryptTest);
            }
        }catch (Exception e){
            return AjaxResult.error(e.getMessage());
        }

    }


    @PostMapping("/decrypt")
    public AjaxResult decrypt(@RequestBody JSONObject requestBody) {
        String key = requestBody.getString("key");
        String order = requestBody.getString("order");
        // 查询企业信息
        Companyservice companyservice = companyserviceMapper.selectCompanyserviceByIdentity(key);
        try {
            if (companyservice != null){
                String decryptTest = InvoiceEncryptUtil.decrypt(order, companyservice.getSecret());
                return AjaxResult.success("success", decryptTest);
            }else {
                String decryptTest = InvoiceEncryptUtil.decrypt(order, key);
                return AjaxResult.success("success", decryptTest);
            }
        }catch (Exception e){
            return AjaxResult.error(e.getMessage());
        }

    }
}
