package com.jianshui.common.core.domain.entity.ele;


import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 订单发票全数据协议beanV3
 *
 * @author ZSC-DXHY
 */
@SuppressWarnings("AlibabaLowerCamelCaseVariableNaming")
@Setter
@Getter
@ToString
public class DdfpxxV5 {
    
    /**
     * 订单请求唯一流水号
     */
    private String DDQQLSH;
    
    /**
     * 开票类型
     */
    private String KPLX;

    /**
     * 编码表版本号
     */
    private String BMBBBH;
    
    /**
     * 销售方纳税人识别号
     */
    private String XHFSBH;
    
    /**
     * 销售方名称
     */
    private String XHFMC;
    
    /**
     * 销售方地址
     */
    private String XHFDZ;
    
    /**
     * 销售方电话
     */
    private String XHFDH;
    
    /**
     * 销售方银行账号名称
     */
    private String XHFYH;
    
    /**
     * 销售方银行账号
     */
    private String XHFZH;
    
    /**
     * 购买方编码
     */
    private String GMFBM;
    
    /**
     * 购买方纳税人识别号
     */
    private String GMFSBH;
    
    /**
     * 购买方名称
     */
    private String GMFMC;
    
    /**
     * 购买方地址
     */
    private String GMFDZ;
    
    /**
     * 购买方固定电话
     */
    private String GMFDH;
    
    /**
     * 购买方银行账号名称
     */
    private String GMFYH;
    
    /**
     * 购买方银行账号
     */
    private String GMFZH;
    
    /**
     * 购买方企业类型
     */
    private String GMFLX;
    
    /**
     * 购买方手机
     */
    private String GMFSJH;
    
    /***
     * 购买方邮箱
     */
    private String GMFDZYX;
    
    /**
     * 开票人
     */
    private String KPR;
    
    /**
     * 收款人
     */
    private String SKR;
    
    /**
     * 复核人
     */
    private String FHR;
    
    /**
     * 原发票代码
     */
    private String YFPDM;
    
    /**
     * 原发票号码红字发票必填
     */
    private String YFPHM;

    /**
     * 原发票类型
     */
    private String YFPLX;

    /**
     * 原发票开票日期
     */
    private String YFPKPRQ;

    /**
     * 冲红原因 (1-销货退回 2-开票有误 3-服务中止 4-销售折让)
     */
    private String CHYY;
    
    /**
     * 清单标志
     */
    private String QDBZ;
    
    /**
     * 价税合计
     */
    private String JSHJ;
    
    /**
     * 合计金额(不含税)
     */
    private String HJJE;
    
    /**
     * 合计税额
     */
    private String HJSE;
    
    /**
     * 备注  冲红时必填
     * 增值税发票红字发票（非专票）开具时，备注要求:
     * 开具负数发票，必须在备注中注明“对应正数发票代码:XXXXXXXXX号码:YYYYYYYY”字样，其中“X”为发票代码，“Y”为发票号码。如未注明，系统自动追加。
     * 增值税发票红字发票（专票）开具时，备注要求:
     * 开具负数发票，必须在备注中注明“开具红字增值税专用发票信息表编号ZZZZZZZZZZZZZZZZ”字样，其中“Z”为开具红字增值税专用发票所需要的长度为16位信息表编号。如未注明，系统报错。
     */
    private String BZ;
    
    /**
     * 特殊冲红标志
     * 冲红时必填：0正常冲红(电子发票)1特殊冲红(冲红纸质等)
     */
    private String TSCHBZ;
    
    /**
     * 红字信息表编号
     */
    private String HZXXBBH;
    
    /**
     * 订单号
     */
    private String DDH;
    
    /**
     * 订单时间
     */
    private String DDSJ;
    
    /**
     * 业务类型区分企业业务线),可以企业自定义
     */
    private String YWLX;
    
    /**
     * 企业开票方式(0:自动开票;1:手动开票;2:静态码开票;3:动态码开票),默认为0
     */
    private String KPFS;
    
    /**
     * 提取码
     */
    private String TQM;
    
    /**
     * 订单状态
     */
    private String DDZT;
    
    /**
     * 订单状态对应的信息
     */
    private String DDZTXX;
    
    /**
     * 订单状态对应的信息
     */
    private String FPLXDM;
    
    /**
     * 订单类型(目前只有数据导入时使用,8为历史数据导入,9为发票修复数据)
     */
    private String DDLY;
    
    /**
     * 订单类型（0:原始订单,1:拆分后订单,2:合并后订单,3:系统冲红订单,4:自动开票订单,5:作废重开订单）
     */
    private String DDLX;
    
    /**
     * 冲红标志(0:未冲红;1:全部冲红;2:部分冲红)
     */
    private String CHBZ;
    
    /**
     * 作废标志 (0:正常;1:已作废)
     */
    private String ZFBZ;
    
    /**
     * 是否拆分订单(0:不拆分;1:拆分)
     */
    private String SFCF;
    
    /**
     * 动态码URL
     */
    private String DTM;

    /**
     * 税率开具理由
     */
    private String SLKJLY;

    /**
     * 电局登录用户名
     */
    private String YHM;

    /**
     * 备用字段
     */
    private String BYZD1;
    private String BYZD2;
    private String BYZD3;
    private String BYZD4;
    private String BYZD5;
    
    
    /**
     * 开票机号
     */
    private String KPJH;
    /**
     * 开票点
     */
    private String KPZD;
    
    /**
     * 机器编号
     */
    private String JQBH;
    /**
     * 分机号
     */
    private String FJH;
    /**
     * 发票代码
     */
    private String FPDM;
    /**
     * 发票号码
     */
    private String FPHM;
    /**
     * 数电发票号码
     */
    private String SDFPHM;
    /**
     * 开票日期
     */
    private String KPRQ;
    /**
     * 校验码
     */
    private String JYM;
    /**
     * 防伪码
     */
    private String FWM;
    /**
     * 二维码
     */
    private String EWM;
    /**
     * pdf流
     */
    private String PDFZJL;
    
    /**
     * 字节流类型针对pdfzjl进行处理,OFD和PDF
     */
    private String ZJLLX;
    
    /**
     * ofd转pdf流文件
     */
    private String OFDTOPDFZJ;
    
    /**
     * 数据权限ID
     */
    private String ENTID;
    
    
}
