package com.jianshui.common.core.domain.entity.ele;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * 数电发票信息
 *
 * @author: <a href="yaoxuguang@ele-cloud.com">yaoxuguang</a>
 * @createDate: Created in 2022-10-12
 */
@Getter
@Setter
@ToString
public class QdTxxBO implements Serializable {

    /**
     * ZZID : 组织ID
     * TDYS : 特定要素
     * QYDM : 区域代码
     * CEZSLXDM : 差额征税类型代码
     * SGFPLXDM : 收购发票类型代码
     * CKYWSYZCDM : 出口业务适用政策代码
     * ZZSJZJTDM : 增值税即征即退代码
     * ZPPZDM : 纸票票种代码
     * GMFJBR : 经办人
     * JBRSFZJHM : 经办人身份证件号码
     * GMFJBRLXDH : 经办人联系电话
     * JSFS : 结算方式
     * SKYHMC : 收款银行名称
     * SKYHZH : 收款银行账号
     * YSXWFSD : 应税行为发生地
     * FJYSLIST : [{"FJYSMC":"附加要素名称","FJYSLX":"附加要素类型","FJYSZ":"附加要素值"}]
     * CEZSLIST: [{"XH": "序号","PZLX": "凭证类型","FPDM": "发票代码","FPHM": "发票号码","ZZFPHM": "纸质发票号码","PZHM": "凭证号码","KJRQ": "开具日期","HJJE": "合计金额",KCE": "扣除额","BZ": "备注","LRFS": "录入方式","BCKCJE": "本次扣除金额","PZHJJE": "凭证合计金额"}]
     * HWYSLIST : [{"XMXH":"明细序号","QYD":"起运地","DDD":"到达地","YSGJZL":"运输工具种类","YSGJPH":"运输工具牌号","YSHWMC":"运输货物名称"}]
     * BDCZLXX:{BDCDZ : 不动产地址,KDSBZ : 跨地(市)标志,CQZSH : 房屋产权证书号/不动产权证号, MJDW : 面积单位,ZLQQZ : 租赁期起止}
     * BDCXSXX:{BDCWQHTBH : 不动产单元代码/网签合同备案编号,BDCDZ : 不动产地址,KDSBZ : 跨地(市)标志,TDZZSXMBH : 土地增值税项目编号,HDJSJG : 核定计税价格,SJCJHSJE : 实际成交含税金额,CQZSH : 房屋产权证书号/不动产权证号,MJDW : 面积单位}
     * JZFWXX:{ TDZZSXMBH : 土地增值税项目编号,JZFWFSD : 建筑服务发生地,JZFWMC : 建筑服务名称,KDSBZ : 跨地(市)标志}
     * LKYSFWLIST:[{"CXRXH": "出行人序号 ","CXRQ": "出行日期","CXRZJLX": "出行人证件类型","CXRZJHM": "出行人证件号码","LKYSCFD": "旅客运输出发地","LKYSDDD": "旅客运输到达地","JTGJLX": "旅客运输交通工具类型","ZWDJ": "座位等级"}]
     */

    private String ZZID;
    private String TDYS;
    private String QYDM;
    private String CEZSLXDM;
    private String SGFPLXDM;
    private String CKYWSYZCDM;
    private String ZZSJZJTDM;
    private String ZPPZDM;
    private String GMFJBR;
    private String JBRSFZJHM;
    private String GMFJBRLXDH;
    private String JSFS;
    private String SKYHMC;
    private String SKYHZH;
    private String YSXWFSD;
    private List<QdFjysBO> FJYSLIST;
    private List<CezsBO> CEZSLIST;
    private List<HwysBO> HWYSLIST;
    private BdczlBO BDCZLXX;
    private BdcxsBO BDCXSXX;
    private JzfwBO JZFWXX;
    private List<LkysfwBO> LKYSFWLIST;

}
