package com.jianshui.invoice.enums;

/**
* @author kk
* @date 2024/4/8 16:27
* @param:
* @return: 批量回调状态枚举
*/
public enum InvoiceBackStatusEnum {
    NOT_CALLED("0", "未回调"),
    CALLBACK_SUCCESS("1", "回调成功"),
    CALLBACK_FAILED("2", "回调失败"),
    MULTIPLE_FAILURES("3", "回调多次失败，不再回调"),
    PREPROCESSING_FAILED("4", "预处理失败，不再回调"),
    IN_PROCESS("5", "开票中（有结果后回调）");

    private final String code;
    private final String desc;

    InvoiceBackStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }
}
